---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.2
alternate:
  - https://sourcecraft.dev/portal/docs/en/api-ref/Issues/ListRepositoryIssues.md
  - https://sourcecraft.dev/portal/docs/ru/api-ref/Issues/ListRepositoryIssues.md
  - href: ru/api-ref/Issues/ListRepositoryIssues.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://sourcecraft.dev/portal/docs/ru/llms.txt

<div class="openapi">

# List Repository Issues

<!-- markdownlint-disable-file -->

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-get);margin-bottom: 12px">

<div class="openapi__request">

GET {.openapi__method}
```text translate=no
https://api.sourcecraft.tech/repos/{org_slug}/{repo_slug}/issues
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_org_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_repo_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

### Query parameters

#|
|| **Name** | **Description** ||
||

_filter_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Filter using QL language.

Supported fields:
- title: Issue title (string, prefix match)
- priority: Issue priority (enum: low, normal, high, critical)
- status: Issue status (enum: open, in_progress, closed)
- assignee_id: Assignee ID
- assignee_slug: Assignee username
- milestone_id: Milestone ID
- milestone_slug: Milestone slug
- label_id: Label ID
- label_slug: Label slug
- author_id: Author ID
- author_slug: Author username
- visibility: Issue visibility (enum: public, private)
- created_at: Creation timestamp (RFC3339 format)
- updated_at: Last update timestamp (RFC3339 format)

Examples:
- status=open and priority=critical
- author_id="550e8400-e29b-41d4-a716-446655440000"
- created_at>"2024-01-01T00:00:00Z"

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_page_size_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;uint64&gt;

The maximum number of issues to return. The service may return fewer than
this value

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_page_token_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

A page token, received from a previous call.
Provide this to retrieve the subsequent page.

When paginating, all other parameters must match
the call that provided the page token.

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_sort_by_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Ordering options: comma separated list of fields. For example: "name, created_at"
Default sorting order is ascending. To specify descending order for a field,
append a "-" prefix; for example: "name, -created_at"
Redundant space characters in the syntax are insignificant. "foo, -bar", " foo , -bar", and "foo,bar"
are all equivalent.

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__200">

## 200 OK

A successful response.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "issues": [
    {
      "id": "example",
      "slug": "example",
      "title": "example",
      "description": "example",
      "status": {
        "id": "example",
        "slug": "example",
        "name": "example",
        "status_type": "initial"
      },
      "author": {
        "id": "example",
        "slug": "example"
      },
      "updated_by": null,
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z",
      "assignee": null,
      "labels": [
        {
          "id": "example",
          "slug": "example",
          "name": "example",
          "color": "example"
        }
      ],
      "linked_prs": [
        {
          "id": "example",
          "slug": "example"
        }
      ],
      "priority": "trivial",
      "visibility": "public",
      "milestone": {
        "id": "example",
        "slug": "example"
      },
      "deadline": "2025-01-01T00:00:00Z",
      "started_at": "2025-01-01T00:00:00Z",
      "completed_at": "2025-01-01T00:00:00Z",
      "repository": {
        "id": "example",
        "slug": "example",
        "organization": {
          "id": "example",
          "slug": "example"
        }
      }
    }
  ],
  "next_page_token": "example"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_issues_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Issue](#entity-Issue)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "slug": "example",
    "title": "example",
    "description": "example",
    "status": {
      "id": "example",
      "slug": "example",
      "name": "example",
      "status_type": "initial"
    },
    "author": {
      "id": "example",
      "slug": "example"
    },
    "updated_by": null,
    "created_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-01T00:00:00Z",
    "assignee": null,
    "labels": [
      {
        "id": "example",
        "slug": "example",
        "name": "example",
        "color": "example"
      }
    ],
    "linked_prs": [
      {
        "id": "example",
        "slug": "example"
      }
    ],
    "priority": "trivial",
    "visibility": "public",
    "milestone": {
      "id": "example",
      "slug": "example"
    },
    "deadline": "2025-01-01T00:00:00Z",
    "started_at": "2025-01-01T00:00:00Z",
    "completed_at": "2025-01-01T00:00:00Z",
    "repository": {
      "id": "example",
      "slug": "example",
      "organization": {
        "id": "example",
        "slug": "example"
      }
    }
  }
]
```

{% endcut %}
{.table-cell}
||
||

_next_page_token_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

A token, which can be sent as `page_token` to retrieve the next page.
If this field is omitted, there are no subsequent pages.

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### StatusType {#entity-StatusType}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `initial`, `in_progress`, `paused`, `completed`, `cancelled`

</div>

<div class="openapi-entity">

### IssueStatus {#entity-IssueStatus}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_name_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_status_type_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [StatusType](#entity-StatusType)

_Enum:_{.json-schema-reset .json-schema-value} `initial`, `in_progress`, `paused`, `completed`, `cancelled`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "name": "example",
  "status_type": "initial"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### UserEmbedded {#entity-UserEmbedded}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### LabelEmbedded {#entity-LabelEmbedded}

#|
|| **Name** | **Description** ||
||

_color_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_name_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "name": "example",
  "color": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Priority {#entity-Priority}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `trivial`, `minor`, `normal`, `critical`, `blocker`

</div>

<div class="openapi-entity">

### Issue.Visibility {#entity-Issue.Visibility}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `public`, `private`

</div>

<div class="openapi-entity">

### RepositoryEmbedded {#entity-RepositoryEmbedded}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_organization_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [OrganizationEmbedded](#entity-OrganizationEmbedded)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "organization": {
    "id": "example",
    "slug": "example"
  }
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Issue {#entity-Issue}

#|
|| **Name** | **Description** ||
||

_assignee_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [UserEmbedded](#entity-UserEmbedded)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_author_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [UserEmbedded](#entity-UserEmbedded)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_completed_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_created_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_deadline_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_description_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_labels_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [LabelEmbedded](#entity-LabelEmbedded)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "slug": "example",
    "name": "example",
    "color": "example"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_linked_prs_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [PullRequestEmbedded](#entity-PullRequestEmbedded)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "slug": "example"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_milestone_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [MilestoneEmbedded](#entity-MilestoneEmbedded)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_priority_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Priority](#entity-Priority)

_Enum:_{.json-schema-reset .json-schema-value} `trivial`, `minor`, `normal`, `critical`, `blocker`
{.table-cell}
||
||

_repository_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [RepositoryEmbedded](#entity-RepositoryEmbedded)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "organization": {
    "id": "example",
    "slug": "example"
  }
}
```

{% endcut %}
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_started_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_status_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [IssueStatus](#entity-IssueStatus)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "name": "example",
  "status_type": "initial"
}
```

{% endcut %}
{.table-cell}
||
||

_title_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_updated_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_updated_by_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [UserEmbedded](#entity-UserEmbedded)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_visibility_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Issue.Visibility](#entity-Issue.Visibility)

_Enum:_{.json-schema-reset .json-schema-value} `public`, `private`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "title": "example",
  "description": "example",
  "status": {
    "id": "example",
    "slug": "example",
    "name": "example",
    "status_type": "initial"
  },
  "author": {
    "id": "example",
    "slug": "example"
  },
  "updated_by": null,
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z",
  "assignee": null,
  "labels": [
    {
      "id": "example",
      "slug": "example",
      "name": "example",
      "color": "example"
    }
  ],
  "linked_prs": [
    {
      "id": "example",
      "slug": "example"
    }
  ],
  "priority": "trivial",
  "visibility": "public",
  "milestone": {
    "id": "example",
    "slug": "example"
  },
  "deadline": "2025-01-01T00:00:00Z",
  "started_at": "2025-01-01T00:00:00Z",
  "completed_at": "2025-01-01T00:00:00Z",
  "repository": {
    "id": "example",
    "slug": "example",
    "organization": {
      "id": "example",
      "slug": "example"
    }
  }
}
```

{% endcut %}

</div>

</div>

<div class="openapi__response__code__default">

## default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_details_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: unknown

_Example:_{.json-schema-reset .json-schema-example} `null`
{.table-cell}
||
||

_error_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_request_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.